---
title: videoCapabilities
slug: Web/API/MediaKeySystemConfiguration/videoCapabilities
tags:
  - API
  - EncryptedMediaExtensions
  - Media
  - MediaKeySystemConfiguration
  - NeedsExample
  - Property
  - Reference
  - Video
  - initDataTypes
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySystemConfiguration.videoCapabilities</code> read-only property returns an array of supported video type and capability pairs.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>videoCapabilities</var>[{contentType: '<var>contentType</var>', robustness:'<var>robustness</var>'}] = <var>mediaSystemConfiguration</var>.videoCapabilities;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysystemconfiguration-videocapabilities', 'videoCapabilities')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemConfiguration.videoCapabilities")}}</p>
</div>
